package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

public class DrpDishesConvertDTO {
   @ApiModelProperty("菜品id")
   private @NotNull(
   message = "请选择菜品"
) Long dishesId;
   @ApiModelProperty("菜品数量")
   private @Min(
   value = 1L,
   message = "菜品份数不能小于1"
) @NotNull(
   message = "请填写菜品数量"
) Integer dishesNum;
   @ApiModelProperty("规格")
   private Long sizeType;

   public Long getDishesId() {
      return this.dishesId;
   }

   public Integer getDishesNum() {
      return this.dishesNum;
   }

   public Long getSizeType() {
      return this.sizeType;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setDishesNum(final Integer dishesNum) {
      this.dishesNum = dishesNum;
   }

   public void setSizeType(final Long sizeType) {
      this.sizeType = sizeType;
   }
}
